package CoreFS.SD03;

public interface CoreFileLog
{

    public abstract boolean isDebugEnabled();

    public abstract boolean isInfoEnabled();

    public abstract boolean isWarnEnabled();

    public abstract boolean isErrorEnabled();

    public abstract boolean isFatalEnabled();

    public abstract void logDebug(Object obj);

    public abstract void logDebug(Object obj, Throwable throwable);

    public abstract void logInfo(Object obj);

    public abstract void logInfo(Object obj, Throwable throwable);

    public abstract void logWarn(Object obj);

    public abstract void logWarn(Object obj, Throwable throwable);

    public abstract void logError(Object obj);

    public abstract void logError(Object obj, Throwable throwable);

    public abstract void logFatal(Object obj);

    public abstract void logFatal(Object obj, Throwable throwable);

    public abstract String getName();
    
    public abstract String getFileLogInfo(String path);
    
}
